## groovy.swing
Class LookAndFeelHelper

Field Summary
`Map` | `extendedAttributes`
`LookAndFeelHelper` | `instance`
`Map` | `lafCodeNames`

Constructor Summary
`LookAndFeelHelper()`

Method Summary
`String` | `addLookAndFeelAlias(String alias, String className)`
`String` | `addLookAndFeelAttributeHandler(String className, String attr, Closure handler)`
`static LookAndFeelHelper` | `getInstance()`
`static String` | `getNimbusLAFName()`
`boolean` | `isLeaf()`
`LookAndFeel` | `lookAndFeel(Object value, Map attributes, Closure initClosure)`

Constructor Detail

### LookAndFeelHelper

    LookAndFeelHelper()

Method Detail

### addLookAndFeelAlias

    public String addLookAndFeelAlias(String alias, String className)

### addLookAndFeelAttributeHandler

    public String addLookAndFeelAttributeHandler(String className, String attr, Closure handler)

### getInstance

    public static LookAndFeelHelper getInstance()

### getNimbusLAFName

    public static String getNimbusLAFName()

### isLeaf

    public boolean isLeaf()

### lookAndFeel

    public LookAndFeel lookAndFeel(Object value, Map attributes, Closure initClosure)